Search for annotations
Server:
https://{kibana_url}
- GET /api/apm/services/{serviceName}/annotation/search
Search for annotations related to a specific service.
Path Parameters
-
serviceNamestringrequired -
The name of the service
Query Parameters
-
environmentstring The environment to filter annotations by
-
startstring The start date for the search
-
endstring The end date for the search
Responses
Successful response
Bad Request response
-
errorstring -
Error type
-
messagestring -
Error message
-
statusCodenumber -
Error status code
Unauthorized response
-
errorstring -
Error type
-
messagestring -
Error message
-
statusCodenumber -
Error status code
Internal Server Error response
-
errorstring -
Error type
-
messagestring -
Error message
-
statusCodenumber -
Error status code